function x_alpha=balai(x,debut,fin,pas,visu) 

%----------------------------------------------
% Appel par frtb = balai(x,deb,fin,pas)
% Fonction de balayage angulaire par FRT
% de la fonction x entre les ordres deb et fin
% renvoi la matrice contenant toute les FRT
% attention a la taille ( faire en plusieurs
% fois si necessaire)
%----------------------------------------------
if nargin < 5
	visu =0;
end

%% On complete pour avoir une puissance de 2
%x= PadDyad(x);

% N pour tenir compte du repliement (modif du 16-05-2000)
%N = 2^(nextpow2( ceil(length(x)*sqrt(2)) ));
N = length(x);

fe = sqrt(N);
t=(-N/2:N/2-1)*1/fe;

alpha = debut:pas:fin;

x_alpha = zeros(N,length(alpha));


for k = 1:length(alpha)
	frtx=frt_nopad(x,alpha(k));
	x_alpha(:,k) = (frtx).';
end

if visu == 1
	% Module
	figure
	colormap(jet)
	caxis([-.002 0.045])
	mesh(alpha,t,abs((x_alpha)));shading interp;
	view(70,50)
	title('representation temps fractionnaire')
	title('Module')
	xlabel('\alpha')
	ylabel('t_\alpha')
	set(gca,'Ylim',[t(1) t(N)])
	grid on	
	
	% Partie relle
	figure
	colormap(gray)
	caxis([5 20])
	mesh(alpha,t,real((x_alpha)));
	view(70,50)
	title('Partie relle')
	xlabel('\alpha')
	ylabel('t_\alpha')
	set(gca,'Ylim',[t(1) t(N)])
	grid on

end
