function filtre_frt(x,NoSave)

% function filtre_frt(x,NoSave)
% Filtrage par annulation des coefs de la FRT
% puis FRT inverse
% Entre : - x le signal  filtrer
%	   - NoSave : variable optionnelle pour sauver les signaux filtrs
%			dans un fichier ASCII
%		    1 -> pas de sauvegardes (par defaut)
%		    0 -> Sauvegardes dans des fichiers nomms 'ondefiltre_k'
%
%	ATTENTION, il y a un facteur de normalisation
% de 4.8105 ( corriger dans frt)

Fact_Norm = 4.8105;

% Gilles Gonon
% le 17-05-2000 (Repliement).

if nargin < 2 
	NoSave = 1;
end

N = length(x);

% Variable compteur pour les noms des fichiers
k = 1;

rep = 'o';
while(rep(1) == 'o')
	
	alpha = input('Ordre de la FRT : ');
	disp('cliquez sur le graphique la zone que vous voulez conservez (2 points)')
	
	frtx = frt_nopad(x,alpha);
	
	figure
		plot(abs(frtx))
	
	% On rcupre les coordonnes sur le graphe
	[xc,yc] = ginput(2);
	xc = sort(xc);
	
	xc1 = floor(xc(1));
	xc2 = ceil(xc(2));
	
	% On ne conserve que la zone (on annulle le reste)
	frtxfilt = frtx;
	
	if ((xc1~=0)|(xc2~=1))
		frtxfilt(1:xc1) = 0;
	end
	if (xc2~=N)
		frtxfilt(xc2:N) = 0;
	end
	
	ondsynt = real(frt_nopad(frtxfilt,-alpha));
	ondsynt = Fact_Norm * ondsynt;
	
	if NoSave == 0
		% Sauvegarde dans une matrice
		nomfic = [ 'ondefiltre_k' num2str(k) ] ;
		k = k+1;
		variable = [ (1:length(ondsynt))' ondsynt(:)];
		eval([ 'save ' nomfic ' variable -ASCII'])
	end
	
	% Axes
	Fs = 4e6;
	Fa = sqrt(N);
	t = (0:N-1)/Fs;
	ta = (0:N-1)/Fa;
	subplot(211)
		plot(ta,abs(frtxfilt),'k')
		hold on; plot(ta,abs(frtx),'k--')
%		title([ '\alpha = ' num2str(alpha) ' FRT modulus' ])
		legend('used part','signal FRFT') 
		grid on
		xlabel('fractional time')
	subplot(212)
		plot(t,real(ondsynt),'k')
%		hold on;plot(t,x,'k--')
%		title('Original and Synthesized filtered signals')
%		title('Synthesized filtered signals')
		grid on
		xlabel('time (s)')
%	subplot(313)	
%		plot(t,x,'r')
%		title('Original Signal')
	
	% Pour continuer
	rep = input('Voulez vous continuer (o/n): ','s');
end