function [M1,M2] = frt_film(x,deb,fin,pas,fps)

%--------------------------------------------------------
%	 Animation pour voir les TF fractionnaire (FRT) 
% 			de la sequence x
%
% Parametres d'appel :
% 	[M_frt,M_axe] = frt_film(x,deb,fin,pas,fps)
%
%    x 			signal a analyser
%    deb:pas:fin	Vecteur des angles (defaut (0:0.1:1))
%    fps 		Nombre d'images par secondes (defaut 1)
%--------------------------------------------------------

% Gilles Gonon
% le 17-05-2000 (Repliement).

% Test des parametres d'entree
if nargin < 5 
	fps =1;
end
if nargin < 4
	pas = 0.1;
end
if nargin < 3
	fin = 1;
end
if nargin < 2
	deb = 0; 
end

clear M1 M2;

alpha = deb:pas:fin;
n_imag = length(alpha);

% limites du graph
xmax = length(x) + 5;
ymax = max(max(abs(balai(x,deb,fin,pas))))*1.1;

nfft = 32;

for j=1:n_imag
	figure(1)
	  plot(abs(frt_nopad(x,alpha(j))))
	  text(xmax*.9,ymax/2,num2str(alpha(j)))
	  axis manual
	  axis([ 0 xmax 0 ymax]);
  	  M1(j) = getframe;

	figure(2)
	 clf,
	 [imtf,axf,axt] = specgram(x,nfft,[],blackman(nfft),max(31,floor(3*nfft/4)));
         imagesc(axt,axf,20*log10(abs(imtf)+eps)),   axis xy, colormap(cool)
         hold on
         n = axt(end);
         plot([ n/2  (cos(alpha(j)*pi/2)+1)*n/2 ],[  0 (sin(alpha(j)*pi/2))],'k','linewidth',2)
	 M2(j) = getframe;
end

%movie(M)
